View Issue Details

IDProjectCategoryLast Update
0019889AI War 2[All Projects] Crash/ExceptionAug 5, 2018 10:24 am
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.758 Release The Warden 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019889: Unable to save game for some reason
DescriptionI have no idea why this is not saving. Somewhat related, the Debug Log keeps catching an exception involving the Nanocaust.

Look for 7/31/2018 10:45:55 PM

It happens later on in the Debug log as well.
TagsNo tags attached.

Activities

Ovalcircle

Jul 31, 2018 11:10 pm

reporter  

ArcenDebugLog.txt (382,395 bytes)
Nanocaust beat ion MArk V.savemet (61 bytes)
Nanocaust beat ion MArk V.save (4,532,964 bytes)

Ovalcircle

Aug 1, 2018 12:18 am

reporter   ~0048174

Here is a debug log that doesn't have the Reinforcement/wave stuff. As soon as i load the save, this Nanocaust exception happens without it ever popping up on-screen.

ArcenDebugLog-2.txt (29,333 bytes)
8/1/2018 12:15:30 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
8/1/2018 12:15:31 AM	No resolution change was required.
8/1/2018 12:15:31 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
8/1/2018 12:15:31 AM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
8/1/2018 12:16:16 AM	ArcenAssetBundleCache.InstantiatedObjects: 625
8/1/2018 12:16:17 AM	Game Version: 0.758
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
8/1/2018 12:16:17 AM	47.9 seconds total load time.

SetDirectoriesToBeUsed (1.4s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (13.0s)
ExternalIconDictionaryTable (1.3s)
ArcenUIPrefabTable (2.0s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
QuickConstructionTypeTable (0.3s)
SpaceboxDefinitionTable (1.1s)
PlanetDefinitionTable (3.0s)
GameEntityTypeDataTable.Initialize (2.3s)
GameEntityTypeDataTable.InitVisualBits (18.3s)
SurrogateTableTable (0.6s)
8/1/2018 12:16:17 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 12:16:23 AM	Successfully opened host socket
8/1/2018 12:16:32 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 12:16:32 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 12:16:34 AM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 12:16:34 AM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 12:16:35 AM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'specialFactionContext_2_AI' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'specialFactionContext_3_AISpecialForces' in state Background, WaitSleepJoin
8/1/2018 12:16:35 AM	Clearing world, so killing thread 'specialFactionContext_4_HunterFleet' in state Background, WaitSleepJoin
8/1/2018 12:16:41 AM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog-2.txt (29,333 bytes)

BadgerBadger

Aug 1, 2018 12:31 am

manager   ~0048175

A bug in serializa/deserialize in the Nanocaust once you reload a game with the Nanocaust

RocketAssistedPuffin

Aug 1, 2018 2:35 pm

developer   ~0048185

I now have this problem as well, game includes Nanocaust. Found nothing wrong ingame other than can't save, and autosaves broke eventually.

This log is...strange. All of it occurs within a few seconds. The layout is different too...I don't know what to make of it.

ArcenDebugLog-3.txt (223,477 bytes)
8/1/2018 7:31:12 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45034
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:12 PM		passed check 1
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:12 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:12 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45035
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:12 PM		passed check 1
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:12 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:12 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45036
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:12 PM		passed check 1
8/1/2018 7:31:12 PM		passed check 2
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:12 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:12 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:12 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:12 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:12 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:12 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:12 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:12 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:12 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:12 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:12 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:12 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:12 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning true
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning true
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45045
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45046
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45047
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45048
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM		passed check 2
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning true
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45055
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45056
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM		passed check 2
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:13 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning true
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning true
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45061
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45062
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45063
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:13 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:13 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45064
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:13 PM		passed check 1
8/1/2018 7:31:13 PM		passed check 2
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:13 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:13 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:13 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:13 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:13 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45073
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning true
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning true
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45074
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM		passed check 1
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45075
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM		passed check 1
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45076
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM		passed check 1
8/1/2018 7:31:14 PM		passed check 2
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:14 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:14 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:14 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:14 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning true
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45083
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM		passed check 1
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:14 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:14 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45084
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:14 PM		passed check 1
8/1/2018 7:31:14 PM		passed check 2
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:14 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:15 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning true
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning true
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45090
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45091
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45092
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM		passed check 2
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning true
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning true
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45097
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45098
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45099
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:15 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:15 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45100
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:15 PM		passed check 1
8/1/2018 7:31:15 PM		passed check 2
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:15 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:15 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:15 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:15 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:15 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45112
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM		passed check 2
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45117
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45118
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45119
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45120
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM		passed check 2
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:16 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:16 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:16 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:16 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:16 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:16 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45123
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45124
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM		passed check 2
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:16 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45125
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45126
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45127
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45128
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM		passed check 2
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:16 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:16 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:16 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:16 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning true
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45131
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:16 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:16 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45132
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:16 PM		passed check 1
8/1/2018 7:31:16 PM		passed check 2
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45138
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45139
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45140
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM		passed check 2
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:17 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:17 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:17 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45143
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45144
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM		passed check 2
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45149
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45150
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45151
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45152
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM		passed check 2
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:17 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:17 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:17 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:17 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:17 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:17 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:17 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:17 PM		returning true
8/1/2018 7:31:17 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45156
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:17 PM		passed check 1
8/1/2018 7:31:17 PM		passed check 2
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:17 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:17 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45157
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45158
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45159
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45160
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM		passed check 2
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45163
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45164
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM		passed check 2
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:18 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45166
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45167
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45168
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM		passed check 2
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45172
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning true
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45173
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45174
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45175
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:18 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:18 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45176
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:18 PM		passed check 1
8/1/2018 7:31:18 PM		passed check 2
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:18 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:18 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:18 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:18 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:18 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:19 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45183
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45184
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM		passed check 2
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45189
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45190
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45191
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45192
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM		passed check 2
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:19 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:19 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:19 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:19 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45200
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:19 PM		passed check 2
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:19 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45204
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:19 PM		returning true
8/1/2018 7:31:19 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45205
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:19 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45206
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45207
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45208
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM		passed check 2
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning true
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45218
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45219
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45220
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM		passed check 2
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45224
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning true
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning true
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45225
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45226
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45227
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:20 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:20 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45228
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:20 PM		passed check 1
8/1/2018 7:31:20 PM		passed check 2
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:20 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:20 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:20 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:20 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:20 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45232
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM		passed check 2
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:21 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45233
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45234
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45235
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45236
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM		passed check 2
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45246
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45247
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45248
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM		passed check 2
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:21 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:21 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:21 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:21 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:21 PM		returning true
8/1/2018 7:31:21 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45252
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:21 PM		passed check 1
8/1/2018 7:31:21 PM		passed check 2
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:21 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:21 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45254
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45255
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45256
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM		passed check 2
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45258
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45260
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM		passed check 2
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:22 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:22 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:22 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:22 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:22 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45262
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45263
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45264
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM		passed check 2
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45269
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45270
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45271
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45272
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:22 PM		passed check 2
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:22 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:22 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45276
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:22 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:22 PM		returning true
8/1/2018 7:31:22 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45277
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:22 PM		passed check 1
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45278
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45279
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45280
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM		passed check 2
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning true
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45286
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45287
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:23 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:23 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45288
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:23 PM		passed check 1
8/1/2018 7:31:23 PM		passed check 2
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:23 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:23 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:23 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:23 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:23 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45293
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45294
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45295
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45296
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM		passed check 2
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:24 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:24 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45300
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM		passed check 2
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,HunterFleet)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiAIZombie)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiPlayerZombie)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntiEveryoneZombie)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AntagonizedDysonSphere)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Nanocaust)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,ZenithTrader)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Dark Spire)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,MacrophageInfestation)
8/1/2018 7:31:24 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45305
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45306
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45307
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45308
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM		passed check 2
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:24 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:24 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:24 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:24 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:24 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning true
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45314
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45315
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:24 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:24 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45316
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:24 PM		passed check 1
8/1/2018 7:31:24 PM		passed check 2
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:24 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:24 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning true
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45326
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45327
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45328
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM		passed check 2
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning true
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45331
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45332
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM		passed check 2
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:25 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:25 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AI)
8/1/2018 7:31:25 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,AISpecialForces)
8/1/2018 7:31:25 PM
-----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 7:31:25 PM
:    -----------
Exception when checking for sim step: System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 
Stack Trace:   at Arcen.AIW2.External.NanocaustMgr.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0004e] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.External.NanocaustMgrData.SerializeData (System.Object[] Source, Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0000a] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.Universal.ArcenExternalData.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00036] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenExternalDataLookup.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x0005c] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.Core.Faction.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x002e2] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x000ec] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.World.SerializeTo (Arcen.Universal.ArcenSerializationBuffer Buffer) [0x00154] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.World.SaveWorldToDisk (System.String SaveName, System.Collections.Generic.List`1[T] SavegameMetadata) [0x00098] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.AIW2.External.GameCommand_SaveGame.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x00027] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00136] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x004b4] in <5ad546f5064c4c06b8d5e7ef0fb8514c>:0 
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001cc] in <3d71d74bc1fb48029620d36dc2152894>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00212] in <8935cc20faf84f36ba7ee35489332c29>:0 


  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <8935cc20faf84f36ba7ee35489332c29>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning true
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning true
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45334
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45335
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45336
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM		passed check 2
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:25 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:25 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:25 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:25 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:25 PM		returning true
8/1/2018 7:31:25 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45341
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:25 PM		passed check 1
8/1/2018 7:31:25 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45342
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45343
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45344
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM		passed check 2
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45346
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning true
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45348
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM		passed check 2
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=False
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,NaturalObject)
8/1/2018 7:31:26 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(False,Human)
8/1/2018 7:31:26 PM		skipping because !mayLaunchAThread
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45349
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning true
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning true
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45350
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45351
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45352
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM		passed check 2
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning true
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning true
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45362
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45363
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:26 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:26 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45364
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:26 PM		passed check 1
8/1/2018 7:31:26 PM		passed check 2
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:26 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AISpecialForces)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(AISpecialForces,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:26 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:26 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,HunterFleet)
8/1/2018 7:31:26 PM		GetNeedsToRunLongRangePlanning(HunterFleet,0)
8/1/2018 7:31:26 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiAIZombie)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(AntiAIZombie,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiPlayerZombie)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(AntiPlayerZombie,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntiEveryoneZombie)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(AntiEveryoneZombie,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AntagonizedDysonSphere)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(AntagonizedDysonSphere,0)
8/1/2018 7:31:27 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Nanocaust)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(Nanocaust,0)
8/1/2018 7:31:27 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:27 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45372
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning true
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning true
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45373
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM		passed check 1
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45374
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM		passed check 1
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45375
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM		passed check 1
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning false because !MessageFromMeToMainThread_AllPlanningContextsStarted
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=True
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=False
	World_AIW2.Instance.CurrentFrameNumber=45376
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM		passed check 1
8/1/2018 7:31:27 PM		passed check 2
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.RunAllContexts()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.DoLongTermPlanning();mayLaunchAThread=True
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,NaturalObject)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(NaturalObject,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Human)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(Human,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,AI)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(AI,0)
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,ZenithTrader)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(ZenithTrader,0)
8/1/2018 7:31:27 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,Dark Spire)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(Dark Spire,0)
8/1/2018 7:31:27 PM			returning false because !this.EverNeedsToRunLongRangePlanning
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext.Helper_CheckForRunningFactionThread(True,MacrophageInfestation)
8/1/2018 7:31:27 PM		GetNeedsToRunLongRangePlanning(MacrophageInfestation,0)
8/1/2018 7:31:27 PM			returning false because this.MinimumSecondsBetweenLongRangePlannings > SecondsSinceLastRun
8/1/2018 7:31:27 PM		skipping because !planningContext.GetNeedsToRun()
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning true
8/1/2018 7:31:27 PM	ArcenLongTermPlanningContext::GetAreAllPlanningContextsDone()
8/1/2018 7:31:27 PM		returning true
8/1/2018 7:31:27 PM	checking whether should run ArcenLongTermPlanningContext.RunAllContexts()
	!ArcenLongTermPlanningContext.MessageFromMainThreadToMe_PlanningRequested=False
	ArcenLongTermPlanningContext.GetAreAllPlanningContextsDone()=True
	World_AIW2.Instance.CurrentFrameNumber=45381
	World_AIW2.Instance.SimulationProfile.LongTermPlanningOnServerInterval_Frames=4
8/1/2018 7:31:27 PM		passed check 1
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_208_AI' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_209_AISpecialForces' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_210_HunterFleet' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_214_AntagonizedDysonSphere' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_215_Nanocaust' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_216_ZenithTrader' in state Background, WaitSleepJoin
8/1/2018 7:31:27 PM	Clearing world, so killing thread 'specialFactionContext_218_MacrophageInfestation' in state Background, WaitSleepJoin
8/1/2018 7:31:34 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog-3.txt (223,477 bytes)

BadgerBadger

Aug 1, 2018 3:04 pm

manager   ~0048187

Your log is the same problem oval describes (which is fixed in my sandbox but waiting for Chris' balance changes to finish up). The extra weird logging is because you have tracing turned on via the Esc menu

RocketAssistedPuffin

Aug 1, 2018 4:35 pm

developer   ~0048189

Ah, I forgot about that. I turned it on to see if it'd show up ingame.

BadgerBadger

Aug 5, 2018 10:24 am

manager   ~0048205

Fixed

Issue History

Date Modified Username Field Change
Jul 31, 2018 11:10 pm Ovalcircle New Issue
Jul 31, 2018 11:10 pm Ovalcircle File Added: Nanocaust beat ion MArk V.save
Jul 31, 2018 11:10 pm Ovalcircle File Added: Nanocaust beat ion MArk V.savemet
Jul 31, 2018 11:10 pm Ovalcircle File Added: ArcenDebugLog.txt
Aug 1, 2018 12:18 am Ovalcircle File Added: ArcenDebugLog-2.txt
Aug 1, 2018 12:18 am Ovalcircle Note Added: 0048174
Aug 1, 2018 12:31 am BadgerBadger Note Added: 0048175
Aug 1, 2018 2:35 pm RocketAssistedPuffin File Added: ArcenDebugLog-3.txt
Aug 1, 2018 2:35 pm RocketAssistedPuffin Note Added: 0048185
Aug 1, 2018 3:04 pm BadgerBadger Note Added: 0048187
Aug 1, 2018 4:35 pm RocketAssistedPuffin Note Added: 0048189
Aug 5, 2018 10:24 am BadgerBadger Assigned To => BadgerBadger
Aug 5, 2018 10:24 am BadgerBadger Status new => resolved
Aug 5, 2018 10:24 am BadgerBadger Resolution open => fixed
Aug 5, 2018 10:24 am BadgerBadger Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 5, 2018 10:24 am BadgerBadger Note Added: 0048205